/************************************************************************/
/* sequence.h: This file contains definitions for search result buffer. */
/*                                                                      */
/* Modification Log:                                                    */
/*                                                                      */
/* 91/05/21     Sze-Ying Wuu: Modifications made for xdi, Rel 1.0       */
/* 91/02/22     /f/osi/others/quipu/uips/pod/RCS/sequence.c,v 7.1       */
/*              Isode Interim (6.8)                                     */
/************************************************************************/

/* $Header: sequence.h,v 1.8 92/09/01 16:44:46 sywuu Exp $ */

/*
 *    Original source: ISODE Interim Release 6.8
 *    Changes/additions by: Sze-Ying Wuu, Bellcore, <sywuu@thumper.bellcore.com>
 *
 *               Changes and Additions Copyright (c) 1991 Bellcore
 *                            All Rights Reserved
 *
 *    Permission is granted to copy, modify and redistribute this program
 *    in source or binary form provided that it is not sold for
 *    profit, and all copyright notices, permission and nonwarranty notices 
 *    remain intact.
 *
 *    Bellcore makes no warranty and accepts no liability for this program.
 * 
 *
 *                             ISODE NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */

#ifndef SEQ
#define SEQ

#include <strings.h>
#include "defs.h"

#ifdef QUIPU_MALLOC

#else
extern char * malloc ();
extern char * smalloc ();
#endif

typedef struct str_seq {
  char *dname;
  unsigned strlen;
  struct str_seq *next;
} strSeq, *str_seq;

#define NULLDS ((str_seq) 0)
char *get_from_seq();
void add_seq();
void free_seq();
#endif

